<?php declare(strict_types=1);

namespace Omnikassa\Payment\PaymentMethods;

use Omnikassa\Payment\PaymentHandlers\CreditcardHandler;

class CreditcardMethod extends PaymentMethodBase implements PaymentMethodInterface
{
    public function getPaymentCode(): string
    {
        return 'cards';
    }

    public function getName(): string
    {
        return 'Creditcard';
    }

    public function getPaymentHandler(): string
    {
        return CreditcardHandler::class;
    }
}