<?php declare(strict_types=1);

namespace Omnikassa\Payment\PaymentMethods;

use Omnikassa\Payment\PaymentHandlers\MaestroHandler;

class MaestroMethod extends PaymentMethodBase implements PaymentMethodInterface
{
    public function getPaymentCode(): string
    {
        return 'maestro';
    }

    public function getName(): string
    {
        return 'Maestro';
    }

    public function getPaymentHandler(): string
    {
        return MaestroHandler::class;
    }
}