<?php declare(strict_types=1);

namespace Omnikassa\Payment\PaymentMethods;

use Omnikassa\Payment\PaymentHandlers\AfterpayHandler;

class AfterpayMethod extends PaymentMethodBase implements PaymentMethodInterface
{
    public function getPaymentCode(): string
    {
        return 'afterpay';
    }

    public function getName(): string
    {
        return 'Afterpay';
    }

    public function getPaymentHandler(): string
    {
        return AfterpayHandler::class;
    }
	
    public function getTemplate(): ?string
    {
        return '';
    }
}