<?php declare(strict_types=1);

namespace Omnikassa\Payment\PaymentMethods;

use Omnikassa\Payment\PaymentHandlers\BancontactHandler;

class BancontactMethod extends PaymentMethodBase implements PaymentMethodInterface
{
    public function getPaymentCode(): string
    {
        return 'bancontact';
    }

    public function getName(): string
    {
        return 'Bancontact';
    }

    public function getPaymentHandler(): string
    {
        return BancontactHandler::class;
    }
}