<?php declare(strict_types=1);

namespace Omnikassa\Payment\PaymentMethods;

use Omnikassa\Payment\PaymentHandlers\IdealHandler;

class IdealMethod extends PaymentMethodBase implements PaymentMethodInterface
{
    public function getPaymentCode(): string
    {
        return 'ideal';
    }

    public function getName(): string
    {
        return 'iDEAL';
    }

    public function getPaymentHandler(): string
    {
        return IdealHandler::class;
    }
}