<?php declare(strict_types=1);

namespace Omnikassa\Payment\PaymentMethods;

use Omnikassa\Payment\PaymentHandlers\MastercardHandler;

class MastercardMethod extends PaymentMethodBase implements PaymentMethodInterface
{
    public function getPaymentCode(): string
    {
        return 'mastercard';
    }

    public function getName(): string
    {
        return 'Mastercard';
    }

    public function getPaymentHandler(): string
    {
        return MastercardHandler::class;
    }
}