<?php declare(strict_types=1);

namespace Omnikassa\Payment\PaymentMethods;

use Omnikassa\Payment\PaymentHandlers\PaypalHandler;

class PaypalMethod extends PaymentMethodBase implements PaymentMethodInterface
{
    public function getPaymentCode(): string
    {
        return 'paypal';
    }

    public function getName(): string
    {
        return 'Paypal';
    }

    public function getPaymentHandler(): string
    {
        return PaypalHandler::class;
    }
}