<?php declare(strict_types=1);

namespace Omnikassa\Payment\PaymentMethods;

use Omnikassa\Payment\PaymentHandlers\VpayHandler;

class VpayMethod extends PaymentMethodBase implements PaymentMethodInterface
{
    public function getPaymentCode(): string
    {
        return 'v_pay';
    }

    public function getName(): string
    {
        return 'Vpay';
    }

    public function getPaymentHandler(): string
    {
        return VpayHandler::class;
    }
}